module CrystalValley

using ..Ahorn, Maple

@mapdef Trigger "isa/crystalDialog" CrystalDialog(x::Integer, y::Integer, width::Integer=16, height::Integer=16, dialog::String="")
@mapdef Trigger "crystal/revertCore" RevertCore(x::Integer, y::Integer, width::Integer=16, height::Integer=16)
@mapdef Trigger "crystal/saveCore" SaveCore(x::Integer, y::Integer, width::Integer=16, height::Integer=16)
@mapdef Trigger "crystal/hideTheo" HideTheo(x::Integer, y::Integer, width::Integer=16, height::Integer=16)

const placements = Ahorn.PlacementDict(
    "Dialog (Crystal Valley)" => Ahorn.EntityPlacement(
        CrystalDialog,
        "rectangle"
    ),
    "Revert Core" => Ahorn.EntityPlacement(
        RevertCore,
        "rectangle"
    ),
    "Save Core Mode" => Ahorn.EntityPlacement(
        SaveCore,
        "rectangle"
    ),
    "Hide Theo" => Ahorn.EntityPlacement(
        HideTheo,
        "rectangle"
    )
)

end